% vgl. Matlab Kompakt 6. Auflage 
% W. Schweizer
% 08/2006 - 01/2016
% Simulation physikalischer Systeme - Computational Physics mit MATLAB 
% 2016

classdef meinpoly
    properties
        coef
    end
    methods
        function obj = meinpoly(c)
            % Konstruktormethode
            if isa(c,'meinpoly')
                obj.coef = c.coef; % Kopiervorschrift
            elseif isa(c,'numeric')
                c=double(c);       % alle Berechnungen erlaubt
                obj.coef = c(:).'; % stellt sicher, dass 
                       % egal wie c �bergeben wird stets eine Zeile vorliegt
            else
                error('falsches �bergabelement: Entweder von der Klasse numeric oder meinpoly')
            end
        end
    end
    methods (Access=private)  % es ist nicht notwendig explizit Methoden aufzulisten
        s=polydar(obj);
    end
    methods
        disp(obj)
        erg=mult(p1,p2)
    end
end
